org.eclnt.jsfserver.util

## Class DefaultAutoCompleteProvider

- java.lang.Object
- - org.eclnt.jsfserver.util.DefaultAutoCompleteProvider

- All Implemented Interfaces:
    java.io.Serializable, IAutoCompleteProvider

      public abstract class DefaultAutoCompleteProvider
      extends java.lang.Object
      implements IAutoCompleteProvider

  Default implementation of IBufferedContent interface. Should be used for all implementations. This class will be updated in case the interface is extended.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAutoCompleteProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()`
    `java.lang.String` | `getURL()` The URL that can be passed back to client side for accessing the buffered content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.util.IAutoCompleteProvider

      `getProposals`

- - ### Constructor Detail

    - #### DefaultAutoCompleteProvider

          public DefaultAutoCompleteProvider()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `IAutoCompleteProvider`

    - #### getURL

          public java.lang.String getURL()

      The URL that can be passed back to client side for accessing the buffered content. The URL contains the session id. The URL is a relative URL that can be passed to all Swing-based components (e.g. FILEDOWNLOADLINK) in any scenario.
      When using CaptainCasa in embedded usage mode (UI is running with stand alone Tomcat within one virutal machine) and passing the URL to the BROWSER component then there will be problems. Use the function getURLForBrowserUsage() instead.
      Specified by:
        `getURL` in interface `IAutoCompleteProvider`

Copyright © CaptainCasa Gmbh. All Rights Reserved.